﻿using System;
using System.Net.Security;
using System.Runtime.InteropServices;
using System.Security.Cryptography.X509Certificates;

namespace HttpCertificateValidator
{
    [ClassInterface(ClassInterfaceType.None)]
    [Serializable]
    public class CertificateEventArgs
    {
        public X509Certificate Certificate { get; set; }
        public X509Chain Chain { get; set; }
        public SslPolicyErrors SslPolicyErrors { get; set; }
        public bool Valid { get; set; }
        public Uri Url { get; set; }
    }
}
